Subject: bug#36882: Qemu 4.2.0 build for x86_64-linux fails

From: Marius Bakke <[email-masked]>
Date: Thu, 05 Mar 2020 17:42:06 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Mathieu Othacehe <[email-masked]> skribis:
>
>>> Yup, turned out patching GCC was too difficult. I'm experimenting a
>>> filter over inputs passed to set-path-environment-variable in set-paths.
>>
>> This is also quite tricky, because the "libc" input passed to set-paths
>> must not be removed from C_INCLUDE_PATH in (gnu packages commencement)
>> for mes packages.
>
> Yeah, fiddling with ‘set-paths’ sounds like opening a can of worms.
>
>> So, maybe the best option is to patch QEMU directly, as proposed in
>> the attached patch. WDYT?
>
> I’m all in favor of that for now.  It’s likely that QEMU is the only
> package having problems, as Marius noted (the GHC error sounds like it
> could be something different), so I’d say go for the package-specific
> solution for now.

Indeed, I will push Mathieus commit shortly.

clang-runtime requires a similar fix for CPLUS_INCLUDE_PATH.  No idea
what's up with [email-masked] yet, but unsurprisingly removing libc from the
include paths does not make a difference.